Subject: bug#49730: 28.0.50; There should be a way to mark a generalised variable as obsolete

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 25 Jul 2021 09:35:14 +0200

We don't have a way to make a generalised variable obsolete, I think?  I
think it would be helpful if we had.

I haven't looked at how to implement it, but marking the symbol in some
way, and then having the byte compiler examine it (when expanding setf
forms) and outputting a warning doesn't immediately seem impossible.

In GNU Emacs 28.0.50 (build 55, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, cairo version 1.16.0)
 of 2021-07-24 built on elva
Repository revision: 5431a58e86d3f2579c1edf1dc8d7074de73ac694
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no